Contents
Index 🔎︎

# Lof Function

Trả về kích cỡ theo byte của một tập tin còn mở.

### Syntax:

    Lof (FileNumber)

### Return value:

Long

### Parameters:

FileNumber: bất cứ biểu thức thuộc số nào mà chứa số thứ tự tập tin được ghi rõ trong câu lệnh Open.

Để giành được chiều dài của một tập tin chưa mở, dùng hàm FileLen.

### Error codes:

5 Sai gọi thủ tục

52 Tên/số tập tin sai

### Example:

      Sub ExampleRandomAccess
          Dim iNumber As Integer
          Dim vanBan As Variant REM Phải là Variant
          Dim aFile As String
          aFile = "C:\Users\ThisUser\data.txt"
          iNumber = Freefile
          Open aFile For Random As #iNumber Len=32
          Seek #soNguyen,1 REM Vị trí bắt đầu
          Put #iNumber, , "This is the first line of text" ' Fill line with text
          Put #iNumber, , "This is the second line of text"
          Put #iNumber, , "This is the third line of text"
          Seek #iNumber,2
          Get #iNumber, , sText
          Print sText
          Close #iNumber
          iNumber = Freefile
          Open aFile For Random As #iNumber Len=32
          Get #iNumber, 2, sText
          Put #iNumber, , "This is a new text"
          Get #iNumber, 1, sText
          Get #iNumber, 2, sText
          Put #iNumber, 20, "This is the text in record 20"
          Print Lof(#iNumber)
          Close #iNumber
      End Sub

      Sub ExampleRandomAccess
          Dim iNumber As Integer
          Dim sText As Variant ' Must be a variant
          Dim aFile As String
          aFile = "~/data.txt"
          iNumber = Freefile
          Open aFile For Random As #iNumber Len=32
          Seek #iNumber,1 ' Position at beginning
          Put #iNumber, , "This is the first line of text" ' Fill line with text
          Put #iNumber, , "This is the second line of text"
          Put #iNumber, , "This is the third line of text"
          Seek #iNumber,2
          Get #iNumber, , sText
          Print sText
          Close #iNumber
          iNumber = Freefile
          Open aFile For Random As #iNumber Len=32
          Get #iNumber, 2, sText
          Put #iNumber, , "This is a new text"
          Get #iNumber, 1, sText
          Get #iNumber, 2, sText
          Put #iNumber, 20, "This is the text in record 20"
          Print Lof(#iNumber)
          Close #iNumber
      End Sub

Chủ đề Liên quan

Close Statement

Print# Statement

Open Statement

Get Statement